/*
 * TextSuite Java Wrapper by Markus Dllinger
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * 
 * TextSuite (C) Steffen Xonna (aka Lossy eX)
 * http://www.opengl24.de/
 * 
 * -----------------------------------------------------
 * For copyright information, see the file copyright.txt
 * 
 */
package textsuite;

/**
 * <p>This interface provides a callback used by TextSuite's
 * {@link TextSuite#tsPostAddCustom()} function.</p>
 * 
 * <p>The method {@link #execute(int, char, Object)} will be
 * invoked whenever TextSuite is using the callback passed by
 * {@link TextSuite#tsPostAddCustom()}.</p>
 * 
 * @author Markus Dllinger
 */
public interface IPostProcessProc {
	
	
	/**
	 * This method will be invoked whenever TextSuite creates a new
	 * character and has a callback assigned for the current font.
	 * @param ImageID		The id of the character image.
	 * @param CharCode		The current character code.
	 * @param data			An optional reference used to store
	 * 						user data. It will be exactly the value
	 * 						which was passed to 
	 * 						{@link TextSuite#tsPostAddCustom()}
	 */
	public void execute(int ImageID, char CharCode, Object data);
}
